.contact-section {
    width: 95%;
    margin: 40px auto;

    background-color: white;
    border-radius: 20px;

    box-shadow: 12px 13px 15px rgba(0, 0, 0, 0.12);
}

.contact-container {
    display: grid;
    grid-template-columns: 1.2fr 1fr 1.4fr;
    gap: 40px;

    padding: 50px;

    align-items: center;
}

.contact-intro h2 {
    margin-bottom: 16px;
    font-size: 42px;
}

.contact-intro p {
    margin: 6px 0;

    font-size: 18px;
    color: #475569;
}

.contact-btn,
.contact-form button {
    display: inline-flex;
    align-items: center;
    gap: 10px;

    margin-top: 24px;
    padding: 14px 26px;

    background-color: #2563eb;
    color: white;

    border: none;
    border-radius: 10px;

    text-decoration: none;
    font-weight: 700;
    font-family: inherit;
    font-size: 16px;

    cursor: pointer;
    transition: all 0.25s ease;
}

.contact-btn:hover,
.contact-form button:hover {
    transform: translateY(-2px);

    background-color: #1d4cb3;

    box-shadow: 0 12px 24px rgba(77, 91, 139, 0.35);
}

.contact-details {
    display: flex;
    flex-direction: column;
    gap: 28px;
}

.contact-item {
    display: flex;
    align-items: center;
    gap: 18px;
}

.contact-item i {
    width: 32px;

    font-size: 28px;
    color: #0f172a;
}

.contact-item h4 {
    margin: 0;
    font-size: 16px;
}

.contact-item p {
    margin: 4px 0 0;

    color: #64748b;
    font-weight: 600;
}


/* FORM */

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.form-row {
    display: flex;
    gap: 16px;
}

.input-group {
    display: flex;
    flex-direction: column;
    gap: 10px;

    width: 100%;
}

.input-group label {
    font-size: 15px;
    font-weight: 700;
    color: #0f172a;
}

.contact-form input,
.contact-form textarea {
    width: 90%;

    padding: 10px 13px;

    border: 1px solid #cbd5e1;
    border-radius: 12px;

    background-color: white;

    font-family: inherit;
    font-size: 16px;

    transition: all 0.25s ease;
}

.contact-form input::placeholder,
.contact-form textarea::placeholder {
    color: #94a3b8;
}

.contact-form input:focus,
.contact-form textarea:focus {
    outline: none;

    border-color: #2563eb;

    box-shadow: 0 0 0 4px rgba(37, 99, 235, 0.12);
}

.contact-form textarea {
    min-height: 180px;
    resize: vertical;
}

.contact-form button {
    align-self: flex-start;

    margin-top: 10px;
}